/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2000, 2010 Oracle and/or its affiliates.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#ifndef _DXCANVAS_VCLTOOLS_HXX
#define _DXCANVAS_VCLTOOLS_HXX

#include <com/sun/star/uno/Reference.hxx>
#include <com/sun/star/util/TriState.hpp>

#include <boost/shared_ptr.hpp>


namespace com { namespace sun { namespace star { namespace lang
{
    class XUnoTunnel;
} } } }

namespace Gdiplus { class Graphics; }

namespace dxcanvas
{
    namespace tools
    {
        /** Raw RGBA bitmap data,
            contiguous in memory
        */
        struct RawRGBABitmap
        {
            sal_Int32							mnWidth;
            sal_Int32							mnHeight;
            ::boost::shared_ptr< sal_uInt8 >	mpBitmapData;
        };

        bool drawVCLBitmapFromXBitmap( const ::boost::shared_ptr< Gdiplus::Graphics >& rGraphics, 
                                       const ::com::sun::star::uno::Reference< 
                                             ::com::sun::star::rendering::XBitmap >&   xBitmap );
    }
}

#endif /* _DXCANVAS_VCLTOOLS_HXX */

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
