/* -*- Mode: C++; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- */
/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2000, 2010 Oracle and/or its affiliates.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#ifndef _SV_SYMBOL_HXX
#define _SV_SYMBOL_HXX

#include <vcl/sv.h>

// ----------------
// - Symbol-Types -
// ----------------

// By changes you must also change: rsc/vclrsc.hxx
typedef USHORT SymbolType;
#define SYMBOL_DONTKNOW 		((SymbolType)0)
#define SYMBOL_IMAGE			((SymbolType)1)
#define SYMBOL_ARROW_UP 		((SymbolType)2)
#define SYMBOL_ARROW_DOWN		((SymbolType)3)
#define SYMBOL_ARROW_LEFT		((SymbolType)4)
#define SYMBOL_ARROW_RIGHT		((SymbolType)5)
#define SYMBOL_SPIN_UP			((SymbolType)6)
#define SYMBOL_SPIN_DOWN		((SymbolType)7)
#define SYMBOL_SPIN_LEFT		((SymbolType)8)
#define SYMBOL_SPIN_RIGHT		((SymbolType)9)
#define SYMBOL_FIRST			((SymbolType)10)
#define SYMBOL_LAST 			((SymbolType)11)
#define SYMBOL_PREV 			((SymbolType)12)
#define SYMBOL_NEXT 			((SymbolType)13)
#define SYMBOL_PAGEUP			((SymbolType)14)
#define SYMBOL_PAGEDOWN 		((SymbolType)15)
#define SYMBOL_PLAY 			((SymbolType)16)
#define SYMBOL_REVERSEPLAY		((SymbolType)17)
#define SYMBOL_RECORD			((SymbolType)18)
#define SYMBOL_STOP 			((SymbolType)19)
#define SYMBOL_PAUSE			((SymbolType)20)
#define SYMBOL_WINDSTART		((SymbolType)21)
#define SYMBOL_WINDEND			((SymbolType)22)
#define SYMBOL_WINDBACKWARD 	((SymbolType)23)
#define SYMBOL_WINDFORWARD		((SymbolType)24)
#define SYMBOL_CLOSE			((SymbolType)25)
#define SYMBOL_ROLLUP			((SymbolType)26)
#define SYMBOL_ROLLDOWN 		((SymbolType)27)
#define SYMBOL_CHECKMARK		((SymbolType)28)
#define SYMBOL_RADIOCHECKMARK	((SymbolType)29)
#define SYMBOL_SPIN_UPDOWN		((SymbolType)30)
#define SYMBOL_FLOAT			((SymbolType)31)
#define SYMBOL_DOCK 			((SymbolType)32)
#define SYMBOL_HIDE 			((SymbolType)33)
#define SYMBOL_HELP 			((SymbolType)34)
#define SYMBOL_OS2CLOSE 		((SymbolType)35)
#define SYMBOL_OS2FLOAT 		((SymbolType)36)
#define SYMBOL_OS2HIDE			((SymbolType)37)
#define SYMBOL_MENU 			SYMBOL_SPIN_DOWN

#define SYMBOL_NOSYMBOL 		(SYMBOL_DONTKNOW)

#endif // _SV_SYMBOL_HXX

/* vim:set shiftwidth=4 softtabstop=4 expandtab: */
